Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 140027

Summary: slab-cvs (new ebuild)
Product: Gentoo Linux Reporter: Priyantha Bleeker <priyantha>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: CONFIRMED ---    
Severity: enhancement CC: bios-deckel, cgibreak, dcecchin, j5483, matrixhax0r, maxima.bugs, metalgod, mikkel, nesl247, nichoj, pacho, paulmedic555, remigiusz, saintdev, stemer, stuart, tim.heinrich
Priority: High Keywords: EBUILD
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.novell.com/products/desktop/preview.html
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: slab ebuild
slab-1.9999.ebuild
gnome-extra/slab-1.9999.ebuild
slab-1.9999-r2.ebuild
01-control-center-fix.patch
01-gnome-main-menu-autogen-noconfigure.patch
slab-1.9999-r3.ebuild
02-configure.in-remove-gtk-doc.patch
slab-1.9999-r4.ebuild
01-control-center-fix.patch
01-control-center-fix.patch
Screenshot of vertical problem
gnome-main-menu-9999.ebuild
gnome-main-menu-1.9999.ebuild
01-control-center-fix.patch
01-control-center-fix.patch
gnome-main-menu-1.9999.ebuild
gnome-main-menu-9999.ebuild
03-tracker-search.patch
04-disable-search.patch
02-configure.in-remove-gtk-doc.patch

Description Priyantha Bleeker 2006-07-11 13:15:18 UTC
An ebuild for slab.
Slab is the new menu made by Novell.
This menu is part of the up comming SUSE Linux Enterprise Desktop 10.
Depencies are beagle and NetworkManager(can be get from gentopia and breakmygentoo).
The people of the Ubuntu forum made also an great control-panel.
I'll post later also an ebuild for that.
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2006-07-11 14:03:15 UTC
Reopen with an ebuild.
Comment 2 Priyantha Bleeker 2006-07-11 14:20:33 UTC
Created attachment 91514 [details]
slab ebuild

This is the ebuild for slab.
This version works without any problems here
Comment 3 Priyantha Bleeker 2006-07-11 14:21:25 UTC
ebuild posted ;)
Comment 4 Priyantha Bleeker 2006-07-11 14:24:45 UTC
If there is needed an maintainer, I will do it if there is nobody else.
Comment 5 Priyantha Bleeker 2006-07-12 01:12:16 UTC
If there is needed an maintainer, I will do it if there is nobody else.
Comment 6 Ben Kuhn 2006-07-12 08:51:28 UTC
I got an access violation with this ebuild.  Emergeing with FEATURES="-sandbox" worked around it.  Sorry I lost the log for it but it was unlinking somthing at the time
Comment 7 Priyantha Bleeker 2006-07-12 10:48:22 UTC
(In reply to comment #6)
> I got an access violation with this ebuild.  Emergeing with FEATURES="-sandbox"
> worked around it.  Sorry I lost the log for it but it was unlinking somthing at
> the time
> 

Can you rebuild it ?
And post then the log please ?
So I can try to fix the ebuild
Comment 8 Dave Smith 2006-07-13 12:44:30 UTC
test -z "/usr/lib" || mkdir -p -- "/usr/lib"
 /bin/sh ../libtool --mode=install /bin/install -c  'libtile.la' '/usr/lib/libtile.la'
/bin/install -c .libs/libtile.so.0.0.0 /usr/lib/libtile.so.0.0.0
ACCESS DENIED  open_wr:   /usr/lib/libtile.so.0.0.0
/bin/install: cannot create regular file `/usr/lib/libtile.so.0.0.0': Permission denied
make[2]: *** [install-libLTLIBRARIES] Error 1
make[2]: Leaving directory `/var/tmp/portage/portage/slab-1.9999/work/slab/libtile'
make[1]: *** [install-am] Error 2
make[1]: Leaving directory `/var/tmp/portage/portage/slab-1.9999/work/slab/libtile'
make: *** [install-recursive] Error 1

!!! ERROR: gnome-extra/slab-1.9999 failed.
Call stack:
  ebuild.sh, line 1545:   Called dyn_install
  ebuild.sh, line 1019:   Called src_install
  slab-1.9999.ebuild, line 46:   Called die

!!! (no error message)
!!! If you need support, post the topmost build error, and the call stack if relevant.

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-gnome-extra_-_slab-1.9999-16072.log"

open_wr:   /usr/lib/libtile.so.0.0.0
--------------------------------------------------------------------------------
!!! This ebuild is from an overlay: '/usr/local/portage'


was it that one?
Comment 9 Steev Klimaszewski gentoo-dev 2006-07-13 15:14:01 UTC
Just a quick note - I've done a cvs snapshot - I will post the ebuild here, I will be adding it to Gentopia's overlay later tonight after a few more cleanups to it.  
Comment 10 Thomas van Kampen 2006-07-14 08:40:13 UTC
You need a dependency on >=gtk-doc-1.0
Comment 11 Steev Klimaszewski gentoo-dev 2006-07-14 09:03:59 UTC
If compiling from cvs, then yes you do, however to actually compile and install, it isn't necessary.  One of those minor annoyances.
Comment 12 Nathan Caldwell 2006-07-18 19:03:09 UTC
Created attachment 92176 [details]
slab-1.9999.ebuild

Well what started out as getting rid of the access violations turned into a complete rewrite of the ebuild using the gnome2 eclass in addition to the cvs eclass.
Comment 13 Priyantha Bleeker 2006-07-19 00:03:24 UTC
(In reply to comment #12)
> Created an attachment (id=92176) [edit]
> slab-1.9999.ebuild
> 
> Well what started out as getting rid of the access violations turned into a
> complete rewrite of the ebuild using the gnome2 eclass in addition to the cvs
> eclass.
> 

Wow great ! 
Comment 14 Nathan Caldwell 2006-07-25 22:28:34 UTC
Created attachment 92756 [details]
gnome-extra/slab-1.9999.ebuild

New ebuild that supports the unbuntu forums' gcontrol control panel.
Comment 15 Stuart Herbert (RETIRED) gentoo-dev 2006-07-27 09:07:31 UTC
Hi,

I've put a copy of this ebuild in my dev overlay, if anyone's interested.  You can install the overlay by installing layman, and then running

  layman -a stuart-desktop

Best regards,
Stu
Comment 16 Nathan Caldwell 2006-07-31 22:16:46 UTC
Created attachment 93176 [details]
slab-1.9999-r2.ebuild

Here's an updated ebuild that includes stuart's patch that fixes the slab control-center, and another patch so ./configure only gets called once.
Comment 17 Nathan Caldwell 2006-07-31 22:17:44 UTC
Created attachment 93177 [details, diff]
01-control-center-fix.patch

stuart's slab control-center fix
Comment 18 Nathan Caldwell 2006-07-31 22:18:37 UTC
Created attachment 93178 [details, diff]
01-gnome-main-menu-autogen-noconfigure.patch

My patch to the autogen.sh script so it doesn't call ./configure
Comment 19 Nathan Caldwell 2006-08-12 19:47:09 UTC
Created attachment 94105 [details]
slab-1.9999-r3.ebuild

Another updated ebuild to fix a dep, and remove the support for gcontrol. As the slab control-center now works properly there's not really any need.

Is there anyone that would like this added back into the ebuild?
Comment 20 Magnus Ahlberg 2006-08-17 16:15:06 UTC
dev-util/gtk-doc should also be listed as a dependancy, my emerge of slab bailed out because of missing gtk-doc.m4

emerging dev-util/gtk-doc fixed the issue.
Comment 21 Nathan Caldwell 2006-08-29 00:48:48 UTC
Created attachment 95344 [details, diff]
02-configure.in-remove-gtk-doc.patch

Patch to slab to remove the check for gtk-doc. This is only used when you have USE=-doc, as gtk-doc isn't needed in that case, but it's still checked for.
Comment 22 Nathan Caldwell 2006-08-29 00:52:07 UTC
Created attachment 95345 [details]
slab-1.9999-r4.ebuild

Updated ebuild that fixes the gtk-doc dep, and also removes most of the KEYWORDS, and puts the rest in ~.

Sorry that took so long, didn't see the email for the comment about gtk-doc.
Comment 23 element 2006-09-12 11:49:16 UTC
Hello everyone,

I recently installed slab on my AMD64 system from stuart's desktop overlay and noticed what seemed like VERY high memory usage after some time. At one point, it had hit 100megabytes.

After some searching I came across this post:
http://ubuntuforums.org/showpost.php?p=1479689&postcount=139

I could not exactly find where to report the slab bug to its developers, regardless, I think those that are working on it/using it can expect very high memory usage if they open up alot of different documents.
Comment 24 Nathan Caldwell 2006-09-12 12:06:13 UTC
(In reply to comment #23)
> Hello everyone,
> 
> I recently installed slab on my AMD64 system from stuart's desktop overlay and
> noticed what seemed like VERY high memory usage after some time. At one point,
> it had hit 100megabytes.
> 
> After some searching I came across this post:
> http://ubuntuforums.org/showpost.php?p=1479689&postcount=139
> 
> I could not exactly find where to report the slab bug to its developers,
> regardless, I think those that are working on it/using it can expect very high
> memory usage if they open up alot of different documents.
> 

Well the MAINTAINERS are listed as
Jim Krehl      <jimmyk@novell.com>
Scott Reeves   <sreeves@novell.com>

You could try contacting them, but to be honest I'm not sure how Novell handles bugs in their OSS projects.
Comment 25 element 2006-09-13 09:57:40 UTC
Well I sent an email to Jim Krehl yesterday noon detailing the problem. Hopefully I can get a response.

The problem is very obvious on my machine. If you have slab running, you can open up the gnome-system-monitor for example and then open a nautilus window full of documents/media etc.. Every time you individually launch say a video file or mp3, the amount of memory consumed by slab goes up by a few megabytes.
Comment 26 element 2006-09-16 17:41:29 UTC
There have been some changes to the slab module in CVS.

http://cvs.gnome.org/viewcvs/slab/ChangeLog?rev=1.4&view=markup for a short changelog.

I re-installed it and though I had already disabled the "recent documents" feature of gnome, it seems to be lower in memory consumption overall. The changelog also states fixes to memory leaks.

Also, the patch for control-center here and in stuart's overlay no longer applies, so I had to do that manually by pausing emerge halfway through. Although I know how to take a simple diff and so on, I didnt know exactly how to provide a diff against a file inside a directory tree so I couldnt submit a fixed patch :( Sorry

So far so good :)
Comment 27 Nathan Caldwell 2006-09-16 18:17:54 UTC
Created attachment 97189 [details, diff]
01-control-center-fix.patch

Here's the updated control-center patch.

Thanks element for letting us know about that.
Comment 28 Nathan Caldwell 2006-10-02 19:30:15 UTC
Created attachment 98676 [details, diff]
01-control-center-fix.patch

I wish they would stop making all these whitespace changes to control-center.c :/
Comment 29 David Li 2006-11-16 20:34:12 UTC
Created attachment 102174 [details]
Screenshot of vertical problem

Well, I just tried this are there are a few issues (I don't known if they are because of Gentoo or if they are due to the nature of CVS builds).

1) The icon for the main menu is the "broken icon" icon.
2) For some reason, I see two applications, three things on the right, and a heck of a lot of vertical white space. If I keep using tab, I can access the ones that "off the screen."

See the attached screenshot for details.f
Comment 30 Tim Heinrich 2007-01-22 17:08:46 UTC
Gnome switched from CVS to subversion. Could anyone fix the ebuild?
Comment 31 Tim Heinrich 2007-01-22 17:09:39 UTC
Gnome switched from CVS to subversion. Could anyone fix the ebuild?
Comment 32 Tim Heinrich 2007-01-22 19:04:07 UTC
Created attachment 107818 [details]
gnome-main-menu-9999.ebuild

Ok, I don't know if what I did is right, but slab now seems to be named gnome-main-menu. I tried to fix the ebuild to work with subversion.
Comment 33 Nathan Caldwell 2007-01-22 22:10:02 UTC
Created attachment 107844 [details]
gnome-main-menu-1.9999.ebuild

You beat me to it, I had just updated my ebuild last night, and was about to upload it. Here's mine, a few cosmetic changes from the other updated ebuild.
Comment 34 Nathan Caldwell 2007-01-22 22:10:53 UTC
Created attachment 107846 [details]
01-control-center-fix.patch

Updated control-center fix.
Comment 35 John Schember 2007-01-31 13:56:17 UTC
The dependencies seem a bit wrong at least with the current trunk. It builds and runs fine without avahi or mono installed. They don't seem to be required as dependencies. Well they don't appear to be required does anyone know if they are used and how, by the menu when they are available?
Comment 36 Andreas Proschofsky (RETIRED) gentoo-dev 2007-02-15 13:54:12 UTC
(In reply to comment #35)
> The dependencies seem a bit wrong at least with the current trunk. It builds
> and runs fine without avahi or mono installed. They don't seem to be required
> as dependencies. Well they don't appear to be required does anyone know if they
> are used and how, by the menu when they are available?
> 

They are just plain wrong, I've posted this to the forums, when the initial ebuild showed up, but nobody seems to have listened ;) I guess that comes from the impression some people have that Novell is pushing Mono, so everything they do has to be Mono-based (while gnome-main-menu is pure C)
Comment 37 stemer 2007-02-18 23:53:12 UTC
(In reply to comment #34)
> Created an attachment (id=107846) [edit]
> 01-control-center-fix.patch
> 
> Updated control-center fix.

Doesn't work for me :(

 *    working copy: /usr/distfiles/svn-src/gnome-main-menu/trunk

 * Fixing OMF Makefiles ...                                                                                                                     [ ok ]
 * Applying 01-control-center-fix.patch ...

 * Failed Patch: 01-control-center-fix.patch !
 *  ( /usr/local/portage/gnome-extra/gnome-main-menu/files/01-control-center-fix.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/gnome-extra/gnome-main-menu-1.9999/temp/01-control-center-fix.patch-22617.out


and 01-control-center-fix.patch-22617.out is:

***** 01-control-center-fix.patch *****

=======================================

PATCH COMMAND:   patch -p0 -g0 -E --no-backup-if-mismatch < /usr/local/portage/gnome-extra/gnome-main-menu/files/01-control-center-fix.patch

=======================================
patching file control-center/src/control-center.c
Hunk #1 FAILED at 144.
1 out of 1 hunk FAILED -- saving rejects to file control-center/src/control-center.c.rej
=======================================

PATCH COMMAND:   patch -p1 -g0 -E --no-backup-if-mismatch < /usr/local/portage/gnome-extra/gnome-main-menu/files/01-control-center-fix.patch

=======================================
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: control-center/src/control-center.c
|===================================================================
|--- control-center/src/control-center.c        (revision 106)
|+++ control-center/src/control-center.c        (working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
=======================================

PATCH COMMAND:   patch -p2 -g0 -E --no-backup-if-mismatch < /usr/local/portage/gnome-extra/gnome-main-menu/files/01-control-center-fix.patch

=======================================
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: control-center/src/control-center.c
|===================================================================
|--- control-center/src/control-center.c        (revision 106)
|+++ control-center/src/control-center.c        (working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
=======================================

PATCH COMMAND:   patch -p3 -g0 -E --no-backup-if-mismatch < /usr/local/portage/gnome-extra/gnome-main-menu/files/01-control-center-fix.patch

=======================================
missing header for unified diff at line 5 of patch
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: control-center/src/control-center.c
|===================================================================
|--- control-center/src/control-center.c        (revision 106)
|+++ control-center/src/control-center.c        (working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
=======================================

PATCH COMMAND:   patch -p4 -g0 -E --no-backup-if-mismatch < /usr/local/portage/gnome-extra/gnome-main-menu/files/01-control-center-fix.patch

=======================================
missing header for unified diff at line 5 of patch
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: control-center/src/control-center.c
|===================================================================
|--- control-center/src/control-center.c        (revision 106)
|+++ control-center/src/control-center.c        (working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
Comment 38 indarios 2007-02-19 03:55:30 UTC
(In reply to comment #37)

I'm Getting the same problem here as well.
Comment 39 Bolek Tekielski 2007-02-21 18:15:19 UTC
Same for me :C. 01-control-center-fix.patch doesn't apply...
Comment 40 Andreas Proschofsky (RETIRED) gentoo-dev 2007-02-21 18:27:56 UTC
(In reply to comment #39)
> Same for me :C. 01-control-center-fix.patch doesn't apply...
> 

Yeah that's cause cvs is a moving target ;) I'll attach a fixed one against current cvs
Comment 41 Andreas Proschofsky (RETIRED) gentoo-dev 2007-02-21 18:29:21 UTC
Created attachment 110875 [details, diff]
01-control-center-fix.patch

Fixed patch against current svn
Comment 42 Nathan Caldwell 2007-02-21 19:59:58 UTC
Created attachment 110902 [details]
gnome-main-menu-1.9999.ebuild

Thanks for taking care of that quick fix.
Here's an updated ebuild with (hopefully) fixed dependencies. I'm not sure exactly what the nautilus extension does, but you can now enable/disable it.
Comment 43 Andreas Proschofsky (RETIRED) gentoo-dev 2007-02-21 20:08:56 UTC
(In reply to comment #42)
> Created an attachment (id=110902) [edit]
> gnome-main-menu-1.9999.ebuild
> 
> Thanks for taking care of that quick fix.
> Here's an updated ebuild with (hopefully) fixed dependencies. I'm not sure
> exactly what the nautilus extension does, but you can now enable/disable it.
> 

Don't know what it does in trunk, but in the newer version-2-branch it is used to add files to "favorite documents"
Comment 44 Eichi 2007-03-11 10:13:47 UTC
(In reply to comment #42)
> Created an attachment (id=110902) [edit]
> gnome-main-menu-1.9999.ebuild
> 

Panel doestn work here..i can only see a small black string..then the app crahes..

Comment 45 Nathan Caldwell 2007-06-19 07:15:01 UTC
Created attachment 122499 [details]
gnome-main-menu-9999.ebuild

Updated ebuild with support for tracker along with beagle. Also removes the control-center patch as the control-center has moved to gnome-control-center.
Sorry about the versioning change, this is more appropriate, though.
Comment 46 Nathan Caldwell 2007-06-19 07:18:08 UTC
Created attachment 122500 [details, diff]
03-tracker-search.patch
Comment 47 Nathan Caldwell 2007-06-19 07:18:30 UTC
Created attachment 122501 [details, diff]
04-disable-search.patch
Comment 48 Todd Partridge 2008-03-05 03:30:02 UTC
Created attachment 145333 [details]
02-configure.in-remove-gtk-doc.patch

Patch 02-configure.in-remove-gtk-doc.patch updated for newest svn.  

Tested on ~ppc, no problems.
Comment 49 Ryan 2008-04-24 20:59:14 UTC
seems lateset version wants a svn copy of NetworkManager

Requested 'libnm_glib >= 0.7.0' but version of libnm_glib is 0.6.6